Subject: Re: bug#26634: 26.0.50; The network security manager doesn't understand IDNA domains

From: Robert Pluim <[email-masked]>
Date: Fri, 13 Apr 2018 17:38:10 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>> Did you mean <https://appӏe.com> ?
>
> No, I meant https://аррӏе.com which is a totally different domain.  :-)
>
> Hm...  Oh, that's the 100% cyrillic one.  :-)  This is so confusing.
>

Fun, isnʼt it? Can we go back to 7-bit ASCII please?

> So eww definitely does the right thing with the mixed-script аррӏе.com,
> and I guess there's nothing to be done with the 100%-cyrillic case...
>
>> (FWIW, chrome is supposed to detect the 100% cyrillic case, but
>> doesnʼt as far as I can tell)
>
> What does Chrome do with that URL?
>
> Oh, I've got Chromium here, so I can just test...
>
> It displays https://xn--80ak6aa92e.com/ in the address bar.  Which
> is...  I guess...  a choice.

I donʼt mind that. Itʼs better than displaying the homograph.

Robert